PHP Manual
Prev |  | Next

# bcsub

(PHP 3, PHP 4, PHP 5)

bcsub -- Subtract one arbitrary precision number from another

## Description

string bcsub ( string left_operand, string right_operand [, int scale] )

Subtracts the `right_operand` from the `left_operand`.

## Parameters

`left_operand`

  The left operand, as a string.

`right_operand`

  The right operand, as a string.

`scale`

  This optional parameter is used to set the number of digits after the decimal place in the result. You can also set the global default scale for all functions by using bcscale().

## Return Values

The result of the substraction, as a string.

## Examples

Example 1. bcsub() example

`<?php $a = '1.234'; $b = '5'; echo bcsub($a, $b); // -3 echo bcsub($a, $b, 4); // -3.7660 ?>`

## See Also

bcadd()

Prev | Home | Next
bcsqrt | Up | PHP bytecode Compiler